(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('@carbon/icon-helpers')) :
  typeof define === 'function' && define.amd ? define(['@carbon/icon-helpers'], factory) :
  (global.WarningAltInvertedFilled20 = factory(global.CarbonIconHelpers));
}(this, (function (iconHelpers) { 'use strict';

  var _20 = {
    name: 'WarningAltInvertedFilled20',
    functional: true,
    // We use title as the prop name as it is not a valid attribute for an SVG
    // HTML element
    props: ['title'],
    render(createElement, context) {
      const { children, data, listeners, props } = context;
      const attrs = iconHelpers.getAttributes({
        width: '20',
        height: '20',
        viewBox: '0 0 32 32',
        preserveAspectRatio: 'xMidYMid meet',
        xmlns: 'http://www.w3.org/2000/svg',
        // Special case here, we need to coordinate that we are using title,
        // potentially, to get the right focus attributes
        title: props.title,
        ...data.attrs,
      });
      const svgData = {
        attrs,
        on: listeners,
      };

      if (data.staticClass) {
        svgData.class = {
          [data.staticClass]: true,
        };
      }

      if (data.class) {
        svgData.class[data.class] = true;
      }

      return createElement('svg', svgData, [
        props.title && createElement('title', null, props.title),
        createElement('path', {
          attrs: {
            d:
              'M29.86 2.49A1 1 0 0 0 29 2H3a1.002 1.002 0 0 0-.88 1.478l13 25.037a1.04 1.04 0 0 0 1.759 0l13-25.037a1.003 1.003 0 0 0-.02-.989zM14.874 5h2.25v10h-2.25zM16 21a1.5 1.5 0 1 1 1.5-1.5A1.5 1.5 0 0 1 16 21z',
          },
        }),
        createElement('path', {
          attrs: {
            d:
              'M14.875 5h2.25v10h-2.25zM16 21a1.5 1.5 0 1 1 1.5-1.5A1.5 1.5 0 0 1 16 21z',
            'data-icon-path': 'inner-path',
          },
        }),
        children,
      ]);
    },
  };

  return _20;

})));
